#include <stdio.h>
#include <stdlib.h>

int main()
{
    int ax, ay, bx, by;
    scanf("%d%d%d%d", &ax, &ay, &bx, &by);
    if(ax != bx && ay != by)
        printf("1");
    if(ax == bx && ay != by)
        printf("2");
    if(ax != bx && ay == by)
        printf("2");
    if(ax == bx && ay == by)
        printf("0");
    return 0;
}